/*
  Builds a jScope plottable profile 
  out of a MDS+ node stored
  with MARTe2 (i.e. with only the temporal
  dimension available)

call:
  _sig = rtc_profile(_s)

arguments:
  _s input MDS+ channel containing
     a time dependent profile in this form:
     - data shape is [profile points, times]
     - the first dimension is time

returns:
  a jScope plottable build_signal
  expression to plot the profile 
  with live update capability (ctrl-Y in jScope)
*/
FUN PUBLIC rtc_profile(_s)
{
  Return(build_signal(transpose(DATA(_s)), *, DIM_OF(_s), RAMP(SHAPE(_s)[0])+1));
}
